Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeVideo

Enclosing class:
  TdApi

public static class TdApi.LinkPreviewTypeVideo extends TdApi.LinkPreviewType
The link is a link to a video.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `author`
  Author of the video.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the video, in seconds; 0 if unknown.
  `int`
  `height`
  Expected height of the preview.
  `String`
  `mimeType`
  MIME type of the video file.
  `String`
  `url`
  URL of the video; may be empty if none.
  `TdApi.Video`
  `video`
  The video description; may be null if unknown.
  `int`
  `width`
  Expected width of the preview.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeVideo()`
  The link is a link to a video.
  `LinkPreviewTypeVideo(String url, String mimeType, TdApi.Video video, int width, int height, int duration, String author)`
  The link is a link to a video.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the video; may be empty if none.

  - ### mimeType

    public String mimeType
    MIME type of the video file.

  - ### video

    @Nullable public TdApi.Video video
    The video description; may be null if unknown.

  - ### width

    public int width
    Expected width of the preview.

  - ### height

    public int height
    Expected height of the preview.

  - ### duration

    public int duration
    Duration of the video, in seconds; 0 if unknown.

  - ### author

    public String author
    Author of the video.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeVideo

    public LinkPreviewTypeVideo()
    The link is a link to a video.

  - ### LinkPreviewTypeVideo

    public LinkPreviewTypeVideo(String url, String mimeType, TdApi.Video video, int width, int height, int duration, String author)
    The link is a link to a video.
    Parameters:
      `url` - URL of the video; may be empty if none.
      `mimeType` - MIME type of the video file.
      `video` - The video description; may be null if unknown.
      `width` - Expected width of the preview.
      `height` - Expected height of the preview.
      `duration` - Duration of the video, in seconds; 0 if unknown.
      `author` - Author of the video.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR